> For the complete documentation index, see [llms.txt](https://developers.term.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.term.finance/term-finance-protocol/term-repo/term-servicer-group/administrative-functions.md).

# Administrative Functions

<table><thead><tr><th width="352.3333333333333">Contract</th><th>Description and Key External Functions</th></tr></thead><tbody><tr><td><a href="https://github.com/term-finance/term-finance-contracts/blob/main/contracts/TermRepoCollateralManager.sol"><mark style="color:yellow;"><code>TermRepoCollateralManager.sol</code></mark></a></td><td><mark style="color:yellow;">Enforces margin maintenance rules for adding/withdrawing, repurchasing and liquidating collateral</mark></td></tr><tr><td><pre class="language-solidity"><code class="lang-solidity">ADMIN_ROLE
</code></pre></td><td><a href="/pages/f5gfpY7Rzfi7d9GnbdUC#pauseliquidations">pauseLiquidations </a>- triggers revert on any calls to <code>batchLiquidation</code> , <code>batchLiquidationWithRepoToken</code>, and <code>batchDefault</code></td></tr><tr><td><pre class="language-solidity"><code class="lang-solidity">ADMIN_ROLE
</code></pre></td><td><a href="/pages/f5gfpY7Rzfi7d9GnbdUC#unpauseliquidations">unpauseLiquidations</a> - returns Collateral Manager contract to normal operations</td></tr><tr><td><a href="https://github.com/term-finance/term-finance-contracts/blob/main/contracts/TermRepoServicer.sol"><mark style="color:yellow;"><code>TermRepoServicer.sol</code></mark></a></td><td><mark style="color:yellow;">Maintains records, collects and disburse repurchase payments</mark></td></tr><tr><td><pre class="language-solidity"><code class="lang-solidity">ADMIN_ROLE
</code></pre></td><td><a href="/pages/qNZPOZMNpnEsbNfaGNbS#grantmintexposureaccess">grantMintExposureAccess </a>- grants MINTER_ROLE access to specified wallet adress, required to mint repo tokens against collateral</td></tr><tr><td><a href="https://github.com/term-finance/term-finance-contracts/blob/main/contracts/TermRepoRolloverManager.sol"><mark style="color:yellow;"><code>TermRepoRolloverManager.sol</code></mark></a></td><td><mark style="color:yellow;">Accepts and carries out borrower rollover instructions</mark></td></tr><tr><td><pre class="language-solidity"><code class="lang-solidity">ADMIN_ROLE
</code></pre></td><td><a href="/pages/1zK41UqAf4vMD8H2oyFo#approvedrolloverauctionbidlockers">approveRolloverAuctionBidlocker </a>- grants required protocol roles to enable borrower rollovers</td></tr><tr><td><pre class="language-solidity"><code class="lang-solidity">ADMIN_ROLE
</code></pre></td><td><a href="/pages/1zK41UqAf4vMD8H2oyFo#revokerolloverapproval">revokeRolloverApproval</a> - removes specified Bid Locker from the approved rollover auctions list</td></tr><tr><td><a href="https://github.com/term-finance/term-finance-contracts/blob/main/contracts/TermRepoLocker.sol"><mark style="color:yellow;"><code>TermRepoLocker.sol</code></mark></a></td><td><mark style="color:yellow;">Contract in which Term Servicer locks collateral and purchase tokens</mark></td></tr><tr><td><pre class="language-solidity"><code class="lang-solidity">ADMIN_ROLE
</code></pre></td><td><a href="/pages/yMe2hXic5SKLXZ2B48Ru#pausetransfers">pauseTransfers </a>- triggers revert on any calls to transferTokenToWallet and transferTokenFromWallet</td></tr><tr><td><pre class="language-solidity"><code class="lang-solidity">ADMIN_ROLE
</code></pre></td><td><a href="/pages/yMe2hXic5SKLXZ2B48Ru#unpausetransfers">unpauseTransfers</a> - returns Term Repo Locker contract to normal operations</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.term.finance/term-finance-protocol/term-repo/term-servicer-group/administrative-functions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
